AMULEWEB(1)

NAME
amuleweb - aMule web server

SYNOPSIS
amuleweb [-h <host>] [-p <port>] [-P <passwd>] [-f <path>] [-q] [-v] [-l <lang>] [-w] [-t <name>] [-s <port>] [-u] [-U] [-z] [-Z] [-A <pass>] [-G <pass>] [-a] [-d] [-L] [-N]

amuleweb [-f <path>] --create-config-from=<path>

amuleweb [--help] [--version]

amuleweb --amule-config-file=<path>

amuleweb --no-php

DESCRIPTION
amuleweb manages your access to amule through a web browser. You can start amuleweb together with amule(1), or separately, any time later. Options can be specified via command-line or via config-file. Command-line options take precedence over config-file options.

-h, --host=<host>
    Host where aMule is running (default: localhost). <host> might be an IP address or a DNS name.

-p, --port=<port>
    aMule's port for External Connections, as set in Preferences->Remote Controls (default: 4712).

-P, --password=<passwd>.
    External Connections password.

-f, --config-file=<path>
    Uses the given configuration file. Default configuration file is ~/.aMule/remote.conf .

-q, --quiet
    Does not print any output to stdout. You may want to use -q to daemonize the webserver, i.e. running as 'amuleweb -q &'.

-v, --verbose
    Be verbose - show also debug messages.

-l, --locale=<lang>
    Sets program locale (language). See section LANGUAGES for the description of the <lang> parameter.

-w, --write-config
    Writes command line options to config file and exit.

--create-config-from=<path>
    Creates config file based upon <path>, which must point to a valid aMule config file, and then exit.

-t, --template=<name>
    Loads the template named <name>. See also the section SKIN SUPPORT.

-s, --server-port=<port>
    Webserver's HTTP port. This is the port you can point your browser to (default: 4711).

-z, --enable-upnp
    Enables use of UPnP port forwarding on web server port.

-U, --upnp-port
    UPnP port.

-z, --enable-gzip
    Enables using gzip compression in HTTP traffic to save bandwidth.

-Z, --disable-gzip
    Disables using gzip compression (this is the default).

-A, --admin-pass=<passwd>
    Full access password for webserver.

-G, --guest-pass=<passwd>
    Guest password for webserver.

-a, --allow-guest
    Allows guest access.

-d, --deny-guest
    Denies guest access (default).

-L, --load-settings
    Load/save webserver settings from/to remote aMule. This causes amuleweb to ignore command-line and config-file settings, and load them from aMule. When saving preferences none will be written to the config file, but to aMule. (Of course, this works only for those settings that can be set in aMule's Preferences->Remote Controls.)

-N, --no-script-cache
    Recompiles PHP pages on each request.

--amule-config-file=<path>
    aMule config file path. DO NOT USE DIRECTLY! aMule uses this option when starting amuleweb at aMule startup. This option causes all other command-line and config-file settings to be ignored, preferences to be read from the given config file, and also implies the -q -L options.

--help
    Prints a short usage description.

--version
    Displays the current version number.

NOTES

  Paths
For all options which take a <path> value, if the path contains no directory part (i.e. just a plain filename), then it is considered to be under the aMule configuration directory, ~/.aMule.

  LANGUAGES
The <lang> parameter for the -l option has the following form: lang[_LANG][.encoding][@modifier] where lang is the primary language, LANG is a sublanguage/territory, encoding is the character set to use and modifier "allows the user to select a specific instance of localization data within a single category".

For example, the following strings are valid:
de
de_DE
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Though all the above strings are accepted as valid language definitions, encoding and modifier are yet unused.

In addition to the format above, you can also specify full language names in English - so -l german is also valid and is equal to -l de_DE.

When no locale is defined, either on command-line or in config file, system default language will be used.

SKIN SUPPORT
amuleweb is capable of displaying information in different skins. These skins are called templates, and you can make amuleweb load a specific template via the -t command line option. Templates are searched in two places: first in ~/.aMule/webserver/ and then in $(pkgdatadir)/webserver/ ($(pkgdatadir) is the install location of architecture independent data, most likely something like /usr/share/amule). Each template must be in a subdirectory of the template name, and this directory must contain all files the template needs. The actual template filename must be aMule.tmpl.

For example, the default template (named 'default') is in webserver/default/, and this directory contains aMule.tmpl amongst a lot of image files.

FILES
~/.aMule/remote.conf
~/.aMule/webserver/
$(pkgdatadir)/webserver/

EXAMPLE
Typically amuleweb will be first run as:

amuleweb -h hostname -p ECport -P ECpassword -s HTTPport -A AdminPassword -w

or

amuleweb --create-config-from=/home/username/.aMule/amule.conf

These will save settings to $HOME/.aMule/remote.conf, and later you only need to type:

amuleweb

Of course, you may specify any more or less options on the first example line, and you may also totally omit it.

REPORTING BUGS
Please report bugs either on our forum (http://forum.amule.org/), or in our bugtracker (http://bugs.amule.org/). Please do not report bugs in e-mail, neither to our mailing list nor directly to any team member.

COPYRIGHT
aMule and all of its related utilities are distributed under the GNU General Public License.

SEE ALSO
amule(1), amulecmd(1)